Subject: bug#32791: closed (Re: bug#32791: 26.1; rgrep uses null byte instead of colon separator)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 21 Sep 2018 07:00:02 +0000

Your bug report

#32791: 26.1; rgrep uses null byte instead of colon separator

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32791: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32791
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32791: 26.1; rgrep uses null byte instead of colon separator
From: Eli Zaretskii <[email-masked]>
To: Allen Li <[email-masked]>
Cc: [email-masked]
Date: Fri, 21 Sep 2018 09:59:21 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Allen Li <[email-masked]>
> Date: Thu, 20 Sep 2018 17:49:52 -0700
> 
> After doing a bit more research, I realized that grep using a null
> byte separator is intended behavior.

Right.

> I'll file a separate bug upstream for wgrep.el.  I'm not sure if there
> are some improvements that could be made to grep-mode to facilitate
> use cases such as wgrep.el, but I think this bug can be closed now.

Thanks.  You can always close a bug by writing to
[email-masked] instead of just [email-masked] (where
NNNN is the bug number).

Subject: 26.1; rgrep uses null byte instead of colon separator
From: Allen Li <[email-masked]>
To: [email-masked]
Date: Thu, 20 Sep 2018 17:40:57 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Reproduce:

1. mkdir -p /tmp/tmp
2. echo foo >/tmp/tmp/tmp

1. emacs -Q
2. M-x rgrep RET foo RET * RET /tmp/tmp RET
3. Move point onto the first colon in ./tmp:1:foo
   and press C-u C-x =
3. Move point onto the first colon in ./tmp:1:foo
   and press C-u C-x =

For the commands that actually run grep, like M-x grep, both of these
colons are actually colons.  For rgrep (and I would guess the other
commands implemented in Emacs Lisp), the first colon is a NUL byte
displayed as a colon.

This breaks wgrep.el for rgrep, which parses for the two colons in each
line.

In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2018-07-05 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12001000

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft --with-modules
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong
 -fno-plt' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 MODULES THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix